Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.relateddomainext
Class EPPRelatedDomainExtFields

    java.lang.Object
      com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtFields

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRelatedDomainExtFields

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a tag

Title: EPP 1.0 Related Domain - fields tag

Description: The EPPRelatedDomainExtFields object represents the collection of fields that must be synchronized across all the related domains in the family. related domains. As such it is composed of a collection of `EPPRelatedDomainExtField` objects.
As XML, it is represented by a element containing a number of elements.

Copyright: Copyright (c) 2013

Company: VeriSign

Version:
  1.0
Author:
  nchigurupati
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Element tag name for the fields

Constructor Summary
`EPPRelatedDomainExtFields()` Default constructor
`EPPRelatedDomainExtFields(boolean aInSync)` Constructor that takes the required `inSync` attribute value.
`EPPRelatedDomainExtFields(java.util.List<EPPRelatedDomainExtField> aFields, boolean aInSync)` Constructor that takes both attributes of the `EPPRelatedDomainExtFields` class including the `inSync` attribute and the `fields` attribute.

Method Summary
`void` | `addField(EPPRelatedDomainExtField aField)` Adds a field represented by `EPPRelatedDomainExtField` to the list of fields.
`java.lang.Object` | `clone()` A deep clone of the EPPRelatedDomainExtFields.
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from this EPPRelatedDomainExtFields to the given DOM Document
`boolean` | `equals(java.lang.Object aObj)` A deep comparison of this with another EPPRelatedDomainExtFields.
`java.util.List<EPPRelatedDomainExtField>` | `getFields()` Returns the fields
`boolean` | `hasFields()` Are there any fields included in the list of fields?
`boolean` | `isInSync()` Returns the inSync
`void` | `setFields(java.util.List<EPPRelatedDomainExtField> fields)` Sets fields value to fields
`void` | `setInSync(boolean aInSync)` Sets inSync value to aInSync
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Element tag name for the fields

  See Also:
    Constant Field Values

Constructor Detail

### EPPRelatedDomainExtFields

    public EPPRelatedDomainExtFields()

  Default constructor

### EPPRelatedDomainExtFields

    public EPPRelatedDomainExtFields(boolean aInSync)

  Constructor that takes the required `inSync` attribute value.

  Parameters:
    `aInSync` - Are the fields in sync?

### EPPRelatedDomainExtFields

    public EPPRelatedDomainExtFields(java.util.List<EPPRelatedDomainExtField> aFields,
                                     boolean aInSync)

  Constructor that takes both attributes of the `EPPRelatedDomainExtFields` class including the `inSync` attribute and the `fields` attribute.

  Parameters:
    `aFields` - List of fields, represented with the `EPPRelatedDomainExtField`.
    `aInSync` - Are the fields in sync?

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  A deep clone of the EPPRelatedDomainExtFields.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception
  See Also:
    `Object.clone()`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from this EPPRelatedDomainExtFields to the given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### equals

    public boolean equals(java.lang.Object aObj)

  A deep comparison of this with another EPPRelatedDomainExtFields.

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### addField

    public void addField(EPPRelatedDomainExtField aField)

  Adds a field represented by `EPPRelatedDomainExtField` to the list of fields.

  Parameters:
    `aField` - Field to add to the list.

### hasFields

    public boolean hasFields()

  Are there any fields included in the list of fields?

  Returns:
    `true` if the field list is not `null` and there is at least one field in the list; `false` otherwise.

### getFields

    public java.util.List<EPPRelatedDomainExtField> getFields()

  Returns the fields

  Returns:
    the fields

### setFields

    public void setFields(java.util.List<EPPRelatedDomainExtField> fields)

  Sets fields value to fields

  Parameters:
    `fields` - the fields to set

### isInSync

    public boolean isInSync()

  Returns the inSync

  Returns:
    the inSync

### setInSync

    public void setInSync(boolean aInSync)

  Sets inSync value to aInSync

  Parameters:
    `aInSync` - the inSync to set

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.